/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Apr 18, 2006
 *
 */
package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

// Java classes

// Library classes

// Framework classes

// EDB Classes

/**
 * @author Yi He
 * @version 1.0
 */
public class IVMDMType extends AbstractNamedActiveLookup {

	public IVMDMType() {
		super();
	}

	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -8324961336832941892L;

	public static final Code ONGOING = new Code("1");
	public static final Code ONE_TIME = new Code("2");
	
	public static class Code extends AbstractCode {
		/**
		 * An instance of serialVersionUID
		 */
		private static final long serialVersionUID = 2871895184008159232L;

		private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}	
}

